using UnityEngine;
using System.Collections;

public class Audience : MonoBehaviour {

    public Material mILikeIt, mDefault;
    public Player mPlayer;

    void Start()
    {
        mPlayer.resetEvent += Reset;
    }

    public void Change()
    {
        GetComponent<MeshRenderer>().material = mILikeIt;
    }

    private void Reset()
    {
        GetComponent<MeshRenderer>().material = mDefault;
    }
}
